# Class: AbstractNumberField

## AbstractNumberField

#### new AbstractNumberField()

Source:
  - ui/base/abstract-number-field.js, line 7

### Extends

- AbstractControl

### Members

#### enabled :number

Wether or not the number field acccepts user input

##### Type:

- number

Default Value:
  - 0
Source:
  - ui/base/abstract-number-field.js, line 341

#### max :number|string

The maximum value allowed in the InputNumber. Can be any number or the string "any".

##### Type:

- number | string

Default Value:
  - "any"
Source:
  - ui/base/abstract-number-field.js, line 249

#### min :number|string

The maximum value allowed in the InputNumber. Can be any number or the string "any".

##### Type:

- number | string

Default Value:
  - "any"
Source:
  - ui/base/abstract-number-field.js, line 223

#### step :number

The amount the value changes when using the plus/minus buttons. Can be any positive number.

##### Type:

- number

Default Value:
  - 1
Source:
  - ui/base/abstract-number-field.js, line 280

#### value :number

The value of the InputNumber

##### Type:

- number

Default Value:
  - 0
Source:
  - ui/base/abstract-number-field.js, line 308

### Events

#### action

Dispatched when the button is activated through a mouse click, finger tap, or when focused and the spacebar is pressed.

##### Type:

- Event

##### Properties:

Name | Type | Description
--- | --- | ---
`detail` | Map | pass custom data in this property

Overrides:
  - AbstractControl#event:action
Source:
  - ui/base/abstract-control.js, line 18